c_PersonRadius=8
--c_EnemyRange=200
--c_EnemyFOV=math.pi/2
Player={x=200,y=200,i=0,j=0,t={x=0,y=0,i=0,j=0},w=16,h=24, disp={img=newPaddedImage("player.png"),ani=1,frm=1}}
Player.disp.quad=NewAnim(Player.w,Player.h,Player.disp.img:getWidth(),Player.disp.img:getHeight(),9,8,7,7)

function PlayerControl()
	if love.keyboard.isDown("up") then Player.j=-1; Player.disp.ani=1
	elseif love.keyboard.isDown("down") then Player.j=1; Player.disp.ani=2
	else Player.j=0 end
	
	if love.keyboard.isDown("right") then Player.i=1; Player.disp.ani=4
	elseif love.keyboard.isDown("left") then Player.i=-1; Player.disp.ani=3
	else Player.i=0 end
	
	if Player.i~=0 or Player.j~=0 then Player.disp.frm=Player.disp.frm+0.1 else Player.disp.frm=1 end
	if not Player.disp.quad[Player.disp.ani][math.floor(Player.disp.frm)] then Player.disp.frm = 1 end
	
	if Map[RetTile(Player.y-Player.h/2)][RetTile(Player.x-Player.w/2+Player.i)]==240
	and Map[RetTile(Player.y)][RetTile(Player.x-Player.w/2+Player.i)]==240
	and Map[RetTile(Player.y)][RetTile(Player.x+Player.w/2+Player.i)]==240
	and Map[RetTile(Player.y-Player.h/2)][RetTile(Player.x+Player.w/2+Player.i)]==240 then Player.x=Player.x+Player.i end
	
	if Map[RetTile(Player.y-Player.h/2+Player.j)][RetTile(Player.x-Player.w/2)]==240
	and Map[RetTile(Player.y+Player.j)][RetTile(Player.x-Player.w/2)]==240
	and Map[RetTile(Player.y+Player.j)][RetTile(Player.x+Player.w/2)]==240
	and Map[RetTile(Player.y-Player.h/2+Player.j)][RetTile(Player.x+Player.w/2)]==240 then Player.y=Player.y+Player.j end
	
	Player.t.x,Player.t.y=love.mouse.getX()+Offset.x,love.mouse.getY()+Offset.y
	Player.t.i,Player.t.j=UnitVector(Player.t.x-Player.x,Player.t.y-(Player.y-8))
	
	if love.keyboard.isDown(" ") then table.insert(Bullets.player, {x=Player.x+Player.t.i*24,y=Player.y+Player.t.j*24-8,i=Player.t.i,j=Player.t.j,m=10}) end
end

function DrawPlayer()
	love.graphics.circle("line", Player.t.x-Offset.x, Player.t.y-Offset.y, 8, 8)
	love.graphics.drawq( Player.disp.img, Player.disp.quad[Player.disp.ani][math.floor(Player.disp.frm)], Player.x-Player.w/2-Offset.x, Player.y-Player.h-Offset.y)
end