-- Initial
function love.load()
	c_ScreenWidth=400--800
	c_ScreenHeight=300--600
	c_FullScreen=false
	
	love.graphics.setMode( c_ScreenWidth, c_ScreenHeight, c_FullScreen)
	
	require("misc.lua")
	require("map.lua")
	require("player.lua")
	require("enemy.lua")
	require("weapon.lua")
end

-- Maths and logic Updated
function love.update(dt)
	UpdateBullets(Bullets.player)
	UpdateBullets(Bullets.enemies)
	CamControl()
	PlayerControl()
	CheckSighted()
	MoveEnemyToPoint()
	EnemyShoot()
end

--Drawing
function love.draw()
	RenderMap()
	DrawPlayer()
	DrawEnemy()
	DrawBullets(Bullets.player)
	DrawBullets(Bullets.enemies)
end